<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ModelSelectorComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>election-page-bulk-update</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./model-selector.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./model-selector.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#data">data</a>
                            </li>
                            <li>
                                <a href="#dataSource">dataSource</a>
                            </li>
                            <li>
                                <a href="#revokeError">revokeError</a>
                            </li>
                            <li>
                                <a href="#selectedModelId">selectedModelId</a>
                            </li>
                            <li>
                                <a href="#selection">selection</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isAllSelected">isAllSelected</a>
                            </li>
                            <li>
                                <a href="#masterToggle">masterToggle</a>
                            </li>
                            <li>
                                <a href="#search">search</a>
                            </li>
                            <li>
                                <a href="#validate">validate</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#displayedColumns">displayedColumns</a>
                                </li>
                                <li>
                                    <a href="#selectedValues">selectedValues</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(data: <a href="../interfaces/ModelSelectorData.html">ModelSelectorData</a>, service: <a href="../injectables/ElectionPagePropertiesService.html">ElectionPagePropertiesService</a>, dialogRef: <a href="../interfaces/Model.html">MatDialogRef<ModelSelectorComponent></a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:24</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>data</td>
                                                  
                                                        <td>
                                                                    <code><a href="../interfaces/ModelSelectorData.html" target="_self" >ModelSelectorData</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>service</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ElectionPagePropertiesService.html" target="_self" >ElectionPagePropertiesService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogRef</td>
                                                  
                                                        <td>
                                                                    <code><a href="../interfaces/Model.html" target="_self" >MatDialogRef&lt;ModelSelectorComponent&gt;</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isAllSelected"></a>
                        <span class="name">
                            <b>
                            isAllSelected
                            </b>
                            <a href="#isAllSelected"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isAllSelected()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:37</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="masterToggle"></a>
                        <span class="name">
                            <b>
                            masterToggle
                            </b>
                            <a href="#masterToggle"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>masterToggle()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:55</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="search"></a>
                        <span class="name">
                            <b>
                            search
                            </b>
                            <a href="#search"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>search(q)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:44</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>q</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validate"></a>
                        <span class="name">
                            <b>
                            validate
                            </b>
                            <a href="#validate"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>validate()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:66</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="data"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            data
                            </b>
                            <a href="#data"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>data:     <code><a href="../interfaces/ModelSelectorData.html" target="_self" >ModelSelectorData</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/ModelSelectorData.html" target="_self" >ModelSelectorData</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @Inject(MAT_DIALOG_DATA)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataSource"></a>
                        <span class="name">
                            <b>
                            dataSource
                            </b>
                            <a href="#dataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>dataSource:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new MatTableDataSource()</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="revokeError"></a>
                        <span class="name">
                            <b>
                            revokeError
                            </b>
                            <a href="#revokeError"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>revokeError:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>null</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedModelId"></a>
                        <span class="name">
                            <b>
                            selectedModelId
                            </b>
                            <a href="#selectedModelId"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>selectedModelId:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selection"></a>
                        <span class="name">
                            <b>
                            selection
                            </b>
                            <a href="#selection"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>selection:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new SelectionModel&lt;any&gt;(true, [])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayedColumns"></a>
                        <span class="name"><b>displayedColumns</b><a href="#displayedColumns"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayedColumns()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:33</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedValues"></a>
                        <span class="name"><b>selectedValues</b><a href="#selectedValues"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>selectedValues()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts:61</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Inject } from &#x27;@angular/core&#x27;;
import { MAT_DIALOG_DATA, MatDialogRef, MatTableDataSource } from &#x27;@angular/material&#x27;;
import { SelectionModel } from &#x27;@angular/cdk/collections&#x27;;
import { Model } from &#x27;../model/election-page-properties&#x27;;
import { ElectionPagePropertiesService } from &#x27;../services/election-page-properties.service&#x27;;
import { Operation } from &#x27;../../../model/operation&#x27;;


export interface ModelSelectorData {
  operation: Operation;
  possibleModels: Model[];
  possibleBallots: string[];
}

@Component({
  selector: &quot;election-page-bulk-update&quot;,
  templateUrl: &#x27;./model-selector.component.html&#x27;,
  styleUrls: [&#x27;./model-selector.component.scss&#x27;]
})
export class ModelSelectorComponent {
  selectedModelId: number;
  revokeError: string &#x3D; null;
  dataSource &#x3D; new MatTableDataSource();
  selection &#x3D; new SelectionModel&lt;any&gt;(true, []);


  constructor(@Inject(MAT_DIALOG_DATA) public data: ModelSelectorData,
              private service: ElectionPagePropertiesService,
              private dialogRef: MatDialogRef&lt;ModelSelectorComponent&gt;) {
    this.search(&quot;&quot;);
  }

  get displayedColumns() {
    return [&quot;select&quot;, &quot;ballot&quot;];
  }

  isAllSelected() {
    const numSelected &#x3D; this.selection.selected.length;
    const numRows &#x3D; this.dataSource.data.length;
    return numSelected &#x3D;&#x3D; numRows;
  }


  search(q) {
    this.dataSource.data &#x3D;
      this.data.possibleBallots
        .filter(ballot &#x3D;&gt; ballot.toLocaleLowerCase().indexOf(q.toLocaleLowerCase()) &gt;&#x3D; 0)
        .map(ballot &#x3D;&gt; {
          return {ballot}
        });
    this.selection.clear();
  }


  masterToggle() {
    this.isAllSelected() ?
      this.selection.clear() :
      this.dataSource.data.forEach(row &#x3D;&gt; this.selection.select(row));
  }

  get selectedValues() {
    return this.data.possibleBallots
  }


  validate() {
    let selectedBallots: string[] &#x3D; this.selection.selected.map(v &#x3D;&gt; v.ballot);
    this.dialogRef.close();
    this.service.associateModelToBallots(this.data.operation.id, this.selectedModelId, selectedBallots).subscribe();
  }


}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;h2 mat-dialog-title&gt;
  {{&#x27;parameters.election-page-properties.edit.mapping.bulk-update.select-ballot&#x27; | translate }}
&lt;/h2&gt;
&lt;mat-dialog-content&gt;

  &lt;div class&#x3D;&quot;filter&quot;&gt;
    &lt;mat-form-field&gt;
      &lt;input matInput (keyup)&#x3D;&quot;search($event.target.value)&quot;
             placeholder&#x3D;&quot;{{&#x27;parameters.election-page-properties.edit.mapping.bulk-update.filter&#x27; | translate}}&quot;
             id&#x3D;&quot;search-input&quot;&gt;
    &lt;/mat-form-field&gt;
  &lt;/div&gt;

  &lt;mat-table #table [dataSource]&#x3D;&quot;dataSource&quot;&gt;

    &lt;ng-container matColumnDef&#x3D;&quot;select&quot;&gt;
      &lt;mat-header-cell *matHeaderCellDef&gt;
        &lt;mat-checkbox (change)&#x3D;&quot;$event ? masterToggle() : null&quot;
                      [checked]&#x3D;&quot;selection.hasValue() &amp;&amp; isAllSelected()&quot;
                      [indeterminate]&#x3D;&quot;selection.hasValue() &amp;&amp; !isAllSelected()&quot;&gt;
        &lt;/mat-checkbox&gt;
      &lt;/mat-header-cell&gt;
      &lt;mat-cell *matCellDef&#x3D;&quot;let row&quot;&gt;
        &lt;mat-checkbox
          [id]&#x3D;&quot;&#x27;cb#&#x27; + row.ballot&quot;
          (click)&#x3D;&quot;$event.stopPropagation()&quot;
          (change)&#x3D;&quot;$event ? selection.toggle(row) : null&quot;
          [checked]&#x3D;&quot;selection.isSelected(row)&quot;&gt;
        &lt;/mat-checkbox&gt;
      &lt;/mat-cell&gt;
    &lt;/ng-container&gt;

    &lt;!-- Name Column --&gt;
    &lt;ng-container matColumnDef&#x3D;&quot;ballot&quot;&gt;
      &lt;mat-header-cell *matHeaderCellDef&gt;
        {{&quot;parameters.election-page-properties.edit.mapping.bulk-update.table.header.ballot&quot; | translate}}
      &lt;/mat-header-cell&gt;
      &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot; class&#x3D;&quot;ballot-name&quot;&gt; {{element.ballot}}&lt;/mat-cell&gt;
    &lt;/ng-container&gt;

    &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;displayedColumns&quot;&gt;&lt;/mat-header-row&gt;
    &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: displayedColumns;&quot;&gt;&lt;/mat-row&gt;

  &lt;/mat-table&gt;

&lt;/mat-dialog-content&gt;

&lt;h2 mat-dialog-title&gt;
  {{&#x27;parameters.election-page-properties.edit.mapping.bulk-update.select-model&#x27; | translate }}
&lt;/h2&gt;

&lt;mat-form-field&gt;
  &lt;mat-select placeholder&#x3D;&quot;{{&#x27;parameters.election-page-properties.edit.mapping.model-name&#x27; | translate  }}&quot;
              id&#x3D;&quot;model-select&quot;
              (selectionChange)&#x3D;&quot;selectedModelId &#x3D; $event.value&quot;&gt;
    &lt;mat-option *ngFor&#x3D;&quot;let model of data.possibleModels&quot; [value]&#x3D;&quot;model.id&quot;&gt;
      {{ model.modelName }}
    &lt;/mat-option&gt;
  &lt;/mat-select&gt;
&lt;/mat-form-field&gt;


&lt;mat-dialog-actions fxLayout&#x3D;&quot;row&quot; fxLayoutAlign&#x3D;&quot;end&quot;&gt;


  &lt;button mat-button [mat-dialog-close]&#x3D;&quot;[]&quot; id&#x3D;&quot;cancel&quot;&gt;
    {{&quot;global.actions.cancel&quot; | translate | uppercase}}
  &lt;/button&gt;
  &lt;button mat-raised-button color&#x3D;&quot;primary&quot; (click)&#x3D;&quot;validate()&quot;
          [disabled]&#x3D;&quot;!selection.hasValue() || !selectedModelId&quot;
          id&#x3D;&quot;accept&quot;&gt;
    {{&quot;parameters.election-page-properties.edit.mapping.bulk-update.validate&quot; | translate | uppercase}}
  &lt;/button&gt;
&lt;/mat-dialog-actions&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./model-selector.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.mat-dialog-title {
  margin: 0;
}

.mat-column-select {
  overflow: initial;
  flex-grow: 0;
  flex-basis: 40px;
}

.mat-row {
  min-height: 3rem;
}

mat-dialog-content {
  height: 44rem;
}

mat-form-field {
  width: 100%;
  font-size: 16px;
}

.error {
  .error-title {
    font-size: 2rem;
  }
  font-family: Roboto, &quot;Helvetica Neue&quot;, sans-serif;
  font-size: 1.5rem;
  padding: 1rem;
  background: none;
}

.error &gt; mat-icon {
  font-size: 5rem;
}


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><h2 mat-dialog-title>  {{\'parameters.election-page-properties.edit.mapping.bulk-update.select-ballot\' | translate }}</h2><mat-dialog-content>  <div class="filter">    <mat-form-field>      <input matInput (keyup)="search($event.target.value)"             placeholder="{{\'parameters.election-page-properties.edit.mapping.bulk-update.filter\' | translate}}"             id="search-input">    </mat-form-field>  </div>  <mat-table #table [dataSource]="dataSource">    <ng-container matColumnDef="select">      <mat-header-cell *matHeaderCellDef>        <mat-checkbox (change)="$event ? masterToggle() : null"                      [checked]="selection.hasValue() && isAllSelected()"                      [indeterminate]="selection.hasValue() && !isAllSelected()">        </mat-checkbox>      </mat-header-cell>      <mat-cell *matCellDef="let row">        <mat-checkbox          [id]="\'cb#\' + row.ballot"          (click)="$event.stopPropagation()"          (change)="$event ? selection.toggle(row) : null"          [checked]="selection.isSelected(row)">        </mat-checkbox>      </mat-cell>    </ng-container>    <!-- Name Column -->    <ng-container matColumnDef="ballot">      <mat-header-cell *matHeaderCellDef>        {{"parameters.election-page-properties.edit.mapping.bulk-update.table.header.ballot" | translate}}      </mat-header-cell>      <mat-cell *matCellDef="let element" class="ballot-name"> {{element.ballot}}</mat-cell>    </ng-container>    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>  </mat-table></mat-dialog-content><h2 mat-dialog-title>  {{\'parameters.election-page-properties.edit.mapping.bulk-update.select-model\' | translate }}</h2><mat-form-field>  <mat-select placeholder="{{\'parameters.election-page-properties.edit.mapping.model-name\' | translate  }}"              id="model-select"              (selectionChange)="selectedModelId = $event.value">    <mat-option *ngFor="let model of data.possibleModels" [value]="model.id">      {{ model.modelName }}    </mat-option>  </mat-select></mat-form-field><mat-dialog-actions fxLayout="row" fxLayoutAlign="end">  <button mat-button [mat-dialog-close]="[]" id="cancel">    {{"global.actions.cancel" | translate | uppercase}}  </button>  <button mat-raised-button color="primary" (click)="validate()"          [disabled]="!selection.hasValue() || !selectedModelId"          id="accept">    {{"parameters.election-page-properties.edit.mapping.bulk-update.validate" | translate | uppercase}}  </button></mat-dialog-actions></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'ModelSelectorComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ModelSelectorComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
